Package org.kapott.hbci.GV_Result

# Class GVRTANMediaList.TANMediaInfo

java.lang.Object
org.kapott.hbci.GV_Result.GVRTANMediaList.TANMediaInfo

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `GVRTANMediaList`

public static class GVRTANMediaList.TANMediaInfo extends Object implements Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Date`
`activatedOn`
`String`
`cardNumber`
`String`
`cardSeqNumber`
`Integer`
`cardType`
`Integer`
`freeTans`
`Date`
`lastUse`
`String`
`mediaCategory`
`String`
`mediaName`
`String`
`mobileNumber`
`String`
`mobileNumberSecure`
`String`
`status`
`String`
`tanListNumber`
`Date`
`validFrom`
`Date`
`validTo`

## Constructor Summary

Constructors
Constructor
Description
`TANMediaInfo()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mediaCategory

public String mediaCategory

### status

public String status

### cardNumber

public String cardNumber

### cardSeqNumber

public String cardSeqNumber

### cardType

public Integer cardType

### validFrom

public Date validFrom

### validTo

public Date validTo

### tanListNumber

public String tanListNumber

### mediaName

public String mediaName

### mobileNumber

public String mobileNumber

### mobileNumberSecure

public String mobileNumberSecure

### freeTans

public Integer freeTans

### lastUse

public Date lastUse

### activatedOn

public Date activatedOn

## Constructor Details

### TANMediaInfo

public TANMediaInfo()